package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class TEMPCOB_SAMPLE {
    public @Getter @Builder.Default String SORTIN_KEY = StringUtils.repeat(' ',
            7);
    public @Getter @Builder.Default String SORTIN_DAT = StringUtils.repeat(' ',
            73);

    public void setSORTIN_KEY(String source) {
        SORTIN_KEY = StringUtils.truncate(StringUtils.rightPad(source, 7), 7);
    }

    public void setSORTIN_DAT(String source) {
        SORTIN_DAT = StringUtils.truncate(StringUtils.rightPad(source, 73), 73);
    }

    public void set(String source) {
        SORTIN_KEY = source.substring(0, 7);
        SORTIN_DAT = source.substring(7, 80);
    }

    @Override
    public String toString() {
        return getSORTIN_KEY() + getSORTIN_DAT();
    }
}
